We have moved at community.getvera.com

Author Topic: Possible VeraAlerts incompatibility with AltUI  (Read 360 times)

Offline tedp

  • Sr. Member
  • ****
  • Posts: 288
  • Karma: +6/-2
Possible VeraAlerts incompatibility with AltUI
« on: November 28, 2017, 01:42:58 am »
From my post in the AltUI forum http://forum.micasaverde.com/index.php/topic,52306.0.html, I cannot seem to close the VeraAlerts config window when using it from AltUI. It was suggested to look in the JavaScript log, and indeed I found an error:
Code: [Select]
Use of getPreventDefault() is deprecated.  Use defaultPrevented instead.
jquery-1.9.1.min.js:3:31293
Source map error: request failed with status 404
Resource URL: https://vortex.accuweather.com/adc2010/oap/javascript/jquery-1.9.1.min.js
Source Map URL: jquery.min.map

The altUI author mentioned it might have to do with the JQuery version:
Quote
Altui is using latest jquery 3.2.1 maybe veraalert uses older version and something is failing, you should see an error

Thanks
-Ted

Offline amg0

  • Beta Testers
  • Master Member
  • *****
  • Posts: 3174
  • Karma: +210/-8
Re: Possible VeraAlerts incompatibility with AltUI
« Reply #1 on: November 28, 2017, 06:57:47 am »
looking at this it seems more a bootstrap use issue of the "modal" class. ALTUI is using bootstrap4 and the HTML layout to respect is a bit different
the panel.modal('hide') seems to fail for some reason without any error

cf https://getbootstrap.com/docs/4.0/components/modal/